Your submission was sent successfully! Close

CVE-2011-2666

Published: 6 July 2011

The default configuration of the SIP channel driver in Asterisk Open Source 1.4.x through 1.4.41.2 and 1.6.2.x through 1.6.2.18.2 does not enable the alwaysauthreject option, which allows remote attackers to enumerate account names by making a series of invalid SIP requests and observing the differences in the responses for different usernames, a different vulnerability than CVE-2011-2536.

Priority

Low

Status

Package Release Status
asterisk
Launchpad, Ubuntu, Debian
hardy Ignored
(reached end-of-life)
lucid
Released (1:1.6.2.5-0ubuntu1.4)
maverick
Released (1:1.6.2.7-1ubuntu1.2)
natty
Released (1:1.6.2.9-2ubuntu2.1)
oneiric Not vulnerable
(1:1.8.4.4~dfsg-2ubuntu1.1)
precise Not vulnerable

quantal Not vulnerable

raring Not vulnerable

upstream Needs triage